Witaj na Forum Linuxiarzy
Zanim zalogujesz się, by pisać na naszym forum, zapoznaj się z kilkoma zasadami savoir-vivre'u w dziale Administracja.
Wiadomości z problemami zamieszczone w wątku "Przywitaj się" oraz wszelkie reklamy na naszym forum będą usuwane.

Znów problem z aktualizacją

Zaczęty przez Piejanto, Maj 08, 2022, 07:02:36 PM

Poprzedni wątek - Następny wątek

robson75

Janek po jakiego groma rozpakowujesz paczki już gotowe do instalacji?
Po pobraniu ich na dysk, uruchamiasz menadżera plików, wchodzisz do pobrane, klikasz na okno PPM i wybierasz otwórz w terminalu. Następnie wpisujesz sudo pacman -U lub pak -U, i klawiszem TAB ( nad CAPS-lockiem) uzupełniasz.
Arch Linux Xfce+compiz - 64Bit Linux User #621110

pavbaranov

Robert - nie wiem co on pobrał i skąd, ale tam są jakieś paczki *.zip. Teoretycznie pacman i takie jest w stanie obsłużyć, ale z nazw wynika, że to nie są paczki Archa.

robson75

Cytat: pavbaranov w Maj 19, 2022, 04:32:02 PMRobert - nie wiem co on pobrał i skąd, ale tam są jakieś paczki *.zip. Teoretycznie pacman i takie jest w stanie obsłużyć, ale z nazw wynika, że to nie są paczki Archa.
Main God, rzeczywiście, jakieś zipy.
Janek paczki się pobiera z głównej strony Archa, a nie z jakiegoś githuba.
Ale przecież Paweł podał Ci najprostsze rozwiązanie
sudo pacman -Sy archlinux-keyring chaotic-keyringTo ja nie wiem po kiego Ty tak kombinujesz.
Arch Linux Xfce+compiz - 64Bit Linux User #621110

Piejanto

#18
@pavbaranov

Dziekuję i przepraszam.
Może faktycznie jestem takim "entuzjastą skrzypiec bez, ale słuchu".
Z Linuxa, już raczej nie zrezygnuję bo... qrdę.. jestem jego entuzjastą.
A że może go nie ogarniam, to zgoda. Tylko czy głupi nie ma prawa do Księżyca?

Niestety, jest tak, że mnie System jest potrzebny głównie do obsługi moich drobnych potrzeb i lubie, gdy to on jest moim narzędziem a nie ja narzedziem jego. Dlatego zrezygnowałem z Windows, a - szczerze mówiąc - jak patrzę na MAC-a córki to i tam system rządzi.
Arch-a może nie ogarniam, ale wolę nawet przeinstalowywać System (tak było z Mandrake i Mandriva), niż kompletną zależność.
Wyprowadziłeś mi kiedyś Antergosa z takiego DOŁU, że do dziś nie wierzę, że to się stało naprawdę. I to tylko na podstawie moich zeznań. Wdzięczność.
Bardzo bym nie chciał wracać do debianowskich systemów.
Było przecież bardzo dobrze. Robiłem prawie codziennie aktualizacje zarówno mirrorów jak i Systemu. Widziałem, ze aktualizacje dotyczą również keyringów.
Skąd zatem nieaktualne keyringi?
Dbałem o to, jak o higienę i jestem - prawdę mówiąc - zaskoczony.

Pozdrowienia.
Godz 00,36. Dzień się zaledwie zaczął, a już jestem padnięty.

Dzięki i do następnego.



Piejanto

#19
@robson75

Faktycznie. Robert, ja ostatnio przyjeżdżam padnięty.
Paweł i Ty macie to wszystko obcykane.
Ja po prostu zrobiłem [-Qi] i mi wyszedł taki adres.
Jest tak, że jak już "wiem wszystko", a System działa bezbłędnie, to skupiam się na innej robocie i mi wiedza zanika jak kurze wizja, gdy nie kręci łbem.
Dzięki za zwrócenie uwagi.
Dziś nieco wcześniej siadłem i mniej mi się mieni w ślipiach. Spróbuję.
Dzięki.
************************
Już wiem, dlaczego zgłupiałem. Sprawdziłem w Octopi te keyringi i tam je chciałem aktualizaować, a Octopi mi rzekło, że tylko pełna aktualizacja i mnie wywaliło.

Okazuje się, że polecenie [sudo pacman -Sy archlinux-keyring chaotic-keyring] juz miałem w swoim samouczku, ale nie wiem, jak to się stało, że go nie znalazłem. Jakaś ślepota. Przepraszam.

Teraz z kolei, aktualizacja poszła ale pokazały się errory i znów nie mam Wi-Fi
************
=> dkms install --no-depmod rtl8821ce/1.0.5.r130.gca204c6 -k 5.15.36-256-tkg-bmq
Error! Bad return status for module build on kernel: 5.15.36-256-tkg-bmq (x86_64)
Consult /var/lib/dkms/rtl8821ce/1.0.5.r130.gca204c6/build/make.log for more information.
==> WARNING: `dkms install --no-depmod rtl8821ce/1.0.5.r130.gca204c6 -k 5.15.36-256-tkg-bmq' exited 10
==> dkms install --no-depmod rtl8821ce/1.0.5.r130.gca204c6 -k 5.17.9-arch1-1
Error! Bad return status for module build on kernel: 5.17.9-arch1-1 (x86_64)
Consult /var/lib/dkms/rtl8821ce/1.0.5.r130.gca204c6/build/make.log for more information.
********************************
Kiedyś Robert mi poradził wrzucić jakiś LTS i Wi-Fi wróciło, ale chciałbym abyście Panowie popatrzyli na powyższe,
żebym znowu czegoś nie skaszanił.

W moim samouczku miałem :
wpisz
sudo pacman -S linux-lts linux-lts-headers
A po instalacji wykonujesz tą komendę
sudo grub-mkconfig -o /boot/grub/grub.cfg

Zrobiłem ale nie zadziałało.


PS
Ze StormOS-em  upgrade keyringów się nie udało.

pavbaranov

Z całego postu istotna informacja jest taka, że info dlaczego nie buduje się moduł zawarte jest w:
Cytat: Piejanto w Maj 20, 2022, 11:54:11 PMConsult /var/lib/dkms/rtl8821ce/1.0.5.r130.gca204c6/build/make.log for more information.
Być może, jeśli to pokażesz, to nas oświeci (choć wątpię).

I powiem tak: z całym szacunkiem dla Ciebie, ale nie radzisz sobie z nieoficjalnymi repozytoriami - wywal te wszystkie repo od stormosa itp. Nie rozróżniasz, że kernel pn. linux, a jakiś linux-tkg-bmq to dwa różne kernele (przebudowanie GRUBa dla linux, nie uczyni tego automatycznie i magicznie dla tego drugiego). Zainstaluj sobie linux-zen oraz linux. Ten pierwszy jako podstawowy, bo zwykle się lepiej sprawdza. Drugi do awaryjnego stosowania. Resztę kerneli wywal. Przebuduj GRUBa.

Polecenie, ktore podajesz na końcu (przebudowanie GRUB) nie ma nic wspólnego ze zbudowaniem modułu dkms, a tu jest problem. Temat również tutaj był już z Tobą wałkowany i to bodaj nie raz, a zatem przeglądnij wątki.

robson75

#21
Tak, zgadza się proponowałem Ci instalacje kernela LTS, ale jak był w wersji 5.10, a teraz jest już wersja 5.15 która to nie posiada modułów rtl8821ce. Tak jak pisał Paweł w innym wątku, weź zainstaluj linux 5.17 który to ma wbudowane rtl8821ce, a linux-tkg-bmq weź usuń, bo z tego co widzę to w repo chaotic-aur jest wersja 5.15.36, a jest już dostępna 5.15.41. Oczywiście po każdej instalacji oraz usunięciu kernela trzeba przeładować GRUB-a.

EDIT.
I po sprawdzeniu config linux 5.17 jest ten moduł
CONFIG_RTL8821AE=mWięc nie powinno być problemu.
Arch Linux Xfce+compiz - 64Bit Linux User #621110

ciubaka

Janku, może moja podpowiedź coś Ci pomoże. Ja co prawda mam "prawie koszernego" Archa, tyle że z chaotic-aur. I też po ponad miesięcznym niezaglądaniu żądał ode mnie kluczy, i też je zakwestionował. System zaktualizowałem bez żadnych problemów przy pomocy tak nielubianego tutaj Pamac. Działa, piszę z niego, Pak i Octopi mówią, że nie ma nic do zrobienia.

pavbaranov

#23
Ok, jedna uwaga na marginesie. Klucze wygasają. Dodatkowo są nowi TU/DEV, starzy odchodzą. Klucze się zmieniają. Aktualizując system, jeśli widzimy jakąś paczkę *-keyring, warto jest przerwać aktualizację, za pomocą pacman (nie, żadnych innych wynalazków - ma byc pacman tylko i wyłącznie) zainstalować ową paczkę *-keyring bez aktualizacji całego systemu, czyli:
pacman -Sy cośtam-keyringi dopiero później puścić aktualizację systemu. Zwykle aktualizacja systemu odbywa się w kolejności alfabetycznej, a zatem może się zdarzyć, że paczka *-keyring zawierająca klucze jakiejś paczki będzie aktualizowana po niej. I stąd problemy.
Na marginesie muszę pogadać z Damianem, czy paka da się tak usprawnić, by po wykryciu *-keyring aktualizował ją w pierwszej kolejności, a dopiero potem przeprowadzał aktualizację systemu.

EDIT:
Facet jest super. Przynajmniej wersja pak-git już obsługuje tę funkcjonalność. Niebawem pewnie trafi pod strzechy, czyli w "stabilnego" pak.

Piejanto

#24
@pavbaranov, @robson75, @ciubaka

@pavbaranov
Dzięki. Jasne, że sobie nie radzę, dlatego właśnie bywam tutaj. Niestety, zmiany w Linuxie mnie zaskakują ale dotychczas zawsze @Linuxiarze.pl mnie wyprowadzali na prostą, a czytanie Waszych porad daje mi wrażenie, że jestem mądrzejszy. I faktycznie, dopóki, coś mocniej nie tąpnie, to daje sobie radę.

@ciubaka
Z tym Pamacem, też miałem kilka pozytywnych zdarzeń i chyba powinienem do niego wrócić. Dzięki za przypomnienie.

@robson75
Spróbuje zrozumieć, to co mi napisałeś i spróbuję powalczyć w tym kierunku. Obawiam się, że swoim zwyczajem zacznę kopać głębiej niż należało i coś schrzanię. Dlatego zarchiwizuję najpierw wszystkie cenniejsze pozycje nim zabiorę się za "naprawę".
W ostateczności przeinstaluję System. Dotychczasowe porady od Was powinny mi pozwolić na powrót do tej konfiguracji, która mi bardzo odpowiada.

Dzięki za pomoc i za cierpliwość.

PS.
@ciubaka
Właśnie czytałem opinię @pavbaranov m.in. o Pamacu i nie była to dobra opinia. Teraz mam zaklopkę i się waham. Pamaców jest kilka. Jest Pamac-classic, Pamac-AUR, Pamac-aur-git...  Którego ewentualnie powinienem analizować?


 
 





robson75

Jeżeli pamac, to tylko pamac-classic, jest najmniej problematyczny.
Arch Linux Xfce+compiz - 64Bit Linux User #621110

pavbaranov

Niemniej jednak, jedyna - bodaj - nakładka na pacmana, która poradzi sobie z problemem Janka, którym męczy mniej więcej raz na miesiąc, czy dwa, to obecna wersja pak. Tylko ona wymusza instalację *-keyring przed instalacją innych paczek.

robson75

Cytat: pavbaranov w Maj 24, 2022, 03:10:11 PMNiemniej jednak, jedyna - bodaj - nakładka na pacmana, która poradzi sobie z problemem Janka, którym męczy mniej więcej raz na miesiąc, czy dwa, to obecna wersja pak. Tylko ona wymusza instalację *-keyring przed instalacją innych paczek.
Tylko że Janek musiałby zaktualizować pak, bo prawdopodobnie nie był aktualizowany od wieków.
Arch Linux Xfce+compiz - 64Bit Linux User #621110

nycko

#28
Janie zapisz w "notatkach" i wykonaj
cd /tmp && wget "https://raw.githubusercontent.com/polaur/new-branded/master/pak-git/PKGBUILD" && makepkg -fsirNa pytanie czy zastąpić pak przez pak-git odpowiedz T,

Zaktualizuj system pak -Syu i błagam rób to przynajmniej raz w tygodniu.
GitLab = users/nycko123/projects | GitHub = nycko123 | AUR = packages/?SeB=m&K=nycko123

Piejanto

#29
@robson75
Też myślałem o [pamac-clasic] Zawsze wybieram clasic, ale zapytałem dla porządku.
Spróbuję przez Octopi.

@pavbaranov
Qrdę... o PAK-u nie pomyślałem. Jakoś tak wydawało mi sie, że skoro robię [pak -Syu] top mi sie aktualizuje wszystko.

@nycko
Robiłem [pak -Syu] codziennie. Wszystko było pięknie. Faktem jest że kompa ze StormOS-em zostawiłem na dwa tygodnie, ale StormOS, akurat jest najmniejszym problemem. Istotniejszy jest Arch, bo tutaj mam prawie wszystko. Już zarchiwizowałem i chcoałem pobrać Anarchy ISO i natknąłem się na taką informację:

"Ostatnia aktualizacja: 8th kwiecień 2022, 12:31 am
Pobierz Anarchy Linux
Anarchy Linux nie jest już rozwijany.
Ostatnia dostępna wersja z 2020 roku."

Aż mi się nie chce wierzyć.

OK mam to już zapisane o pak-git. Dzięki za naukę. Wykonuję.
Wyszło na koniec tak :
****************************
==> Instalowanie pakietu pak-git za pomocą pacman -U...
[sudo] hasło użytkownika jan:
wczytywanie pakietów...
rozwiązywanie zależności...
szukanie sprzecznych pakietów...
:: pak-git konfliktuje z pak. Usunąć pak? [t/N] t

Pakiety (2) pak-1:5.2-1 [usunięcie]  pak-git-1:5.4.1.r1.g921d26a-1

Do zainstalowania:       0,15 MiB
Zmiana po aktualizacji:  0,00 MiB

:: Kontynuować instalację? [T/n] T
(1/1) sprawdzanie kluczy w bazie                   [######################] 100%
(1/1) sprawdzanie spójności pakietów               [######################] 100%
(1/1) wczytywanie listy plików                     [######################] 100%
(1/1) sprawdzanie konfliktów plików                [######################] 100%
(2/2) sprawdzanie dostępnego miejsca na dysku      [######################] 100%
:: Przetwarzanie zmian pakietu...
(1/1) usuwanie pak                                 [######################] 100%
(1/1) instalowanie pak-git                         [######################] 100%
Opcjonalne zależności dla pak-git
    asp: to download PKGBUILDs of official packages
    auracle-git: (AUR) to manage AUR packages [zainstalowano]
    namcap: to validate built packages
    reflector: to keep mirrorlist up to date [zainstalowano]
    subversion: to check upstream for updated -svn packages
    fzf: to display all data about installed packages
    downgrade: (AUR) to downgrade packages
    libnotify: to display desktop notifications [zainstalowano]
:: Uruchamianie po-transakcji...
(1/1) Arming ConditionNeedsUpdate...
****************************************************************************

 następnie zresetowałem kompa i na wszelki wypadek wpisałem [pak -Syu]
zaczęło się dziać.  Poszła wielka aktualizacja, ale jak mnie zapytało gdzie cośtam zapisać to podałem home/jan i to chyba nie była dobra odpowiedź. Nie mogę zacytować, bo poszło tak wysoko, że już nie pokazuje.
Ale poczułem potęgę.
Qrdę... wszystkim się chwalę że jestem linuxiarzem, a po prawdzie tom zwykły v-ce pierdoła. Przepraszam za tę impresję.
Arch, to jednak formuła jeden.
Zrobię teraz reset. Jeśli się nie odezwę, to znaczy, że coś zawaliłem.
WRÓĆ...
Jakby co mam jeszcze ACER-a ze StormOS-em i na dodatek z czynnym Wi-Fi.
Jego też przećwiczę poleceniem
[cd /tmp && wget "https://raw.githubusercontent.com/polaur/new-branded/master/pak-git/PKGBUILD" && makepkg -fsir]
Dzięki. Panowie.

*********************************po resecie.

System nie padł. Padłem ja.

Do następnego.








Zobacz najnowsze wiadomości na forum